<?php 
/**
 * Createing an about us pannel for customizer
 *
 */

$categories = get_categories(array('hide_empty' => 0));
foreach ($categories as $category) {
    $cat[$category->term_id] = $category->cat_name;
}
// TEAM SECTION START HERE 
/*============TEAM SECTION PANEL============*/
$wp_customize->add_section(
	'videocategory_area',
	array(
		'title'         => __( 'Video Category Section', 'luzuk' ),
		'panel'   => 'luzuk_premium_home_panel',
	)
);
// ENABLE/DISABLE TEAM SECTION
$wp_customize->add_setting(
	'videocategory_area_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'videocategory_area_disable',
		array(
			'settings'      => 'videocategory_area_disable',
			'section'       => 'videocategory_area',
			'label'         => __( 'Disable Section', 'luzuk' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'luzuk' ),
				'off' => __( 'No', 'luzuk' )
			)   
		)
	)
);


backgroundManager($wp_customize, 'videocategory', 'videocategory_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'videocategory_padding_lbl', 'videocategory_area', 'Section Padding');

$wp_customize->add_setting(
    'sec_videocategorysectionTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_videocategorysectionTpadding',
    array(
        'settings'      => 'sec_videocategorysectionTpadding',
        'section'       => 'videocategory_area',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'sec_videocategorysectionBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sec_videocategorysectionBpadding',
    array(
        'settings'      => 'sec_videocategorysectionBpadding',
        'section'       => 'videocategory_area',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'videocategory_title_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'videocategory_title_subtitle_heading',
        array(
            'settings'      => 'videocategory_title_subtitle_heading',
            'section'       => 'videocategory_area',
            'label'         => __( 'Section Heading & Text', 'luzuk-premium' ),
        )
    )
);
   

$wp_customize->add_setting(
        'luzuk_videocategory_title',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Explore and choose form number of Categories', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'luzuk_videocategory_title',
        array(
            'settings'      => 'luzuk_videocategory_title',
            'section'       => 'videocategory_area',
            'type'          => 'textarea',
            'label'         => __( 'Section Heading', 'Luzuk' )
        )
    );
addColorPalatOption($wp_customize, 'videocategoryarea_sectitle_color', 'videocategory_area', 'Heading Color ', '#2e3d62');
$wp_customize->add_setting(
        'videocategory_subtitle',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has industrys. Lorem Ipsum is simply dummy text of the printing and typesetting industry.', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'videocategory_subtitle',
        array(
            'settings'      => 'videocategory_subtitle',
            'section'       => 'videocategory_area',
            'type'          => 'textarea',
            'label'         => __( 'Section Text', 'Luzuk' )
        )
    );

addColorPalatOption($wp_customize, 'videocategoryarea_secsubtitle_color', 'videocategory_area', 'Section Text Color ', '#838a9b');

lzCustomLable($wp_customize, 'videocategory_sec', 'videocategory_area', 'Video Category:');

addColorPalatOption($wp_customize, 'videocatpg_TlebgClr', 'videocategory_area', 'Section Title Background Color ', '#fff');
addColorPalatOption($wp_customize, 'videocatpg_TlebghoverClr', 'videocategory_area', 'Section Title Background Hover Color ', '#f68358');
addColorPalatOption($wp_customize, 'videocatpg_TlebghvClr', 'videocategory_area', 'Section Title Outer Background Hover Color ', '#2e3d5a');
addColorPalatOption($wp_customize, 'videocategorys_videocategoryPageTitleColor', 'videocategory_area', 'Section Title Text Color ', '#292929');
addColorPalatOption($wp_customize, 'videocatpg_TlehvClr', 'videocategory_area', 'Section Title Text Hover Color ', '#fff');

lzCustomLable($wp_customize, 'videocategory_tpbutton', 'videocategory_area', 'Button For Section');
// Top button
$wp_customize->add_setting( 'videocat_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'videocat_button_display', array( 'label' => 'Section Button Display', 'section' => 'videocategory_area', 'settings' => 'videocat_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) );

$wp_customize->add_setting(
        'videocat_button1',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Explore All', 'Luzuk' )
        )
    );
    $wp_customize->add_control(
        'videocat_button1',
        array(
            'settings'      => 'videocat_button1',
            'section'       => 'videocategory_area',
            'type'          => 'text',
            'label'         => __( 'Add Button Text Here', 'Luzuk' )
        )
    );
$wp_customize->add_setting('videocat_link',   array('default'=> 'add Button link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('videocat_link',
    array(
        'settings'      => 'videocat_link',
        'section'       => 'videocategory_area',
        'type'          => 'url',
        'label'         => __( 'Add Link For Button:', 'Luzuk' )
    )
);    
addColorPalatOption($wp_customize, 'videocatpg_btnbgClr', 'videocategory_area', 'Section Button Background Color ', '#fd8455');

addColorPalatOption($wp_customize, 'videocatpg_btnbghvClr', 'videocategory_area', 'Section Button Background Hover Color ', '#2e3d62');

addColorPalatOption($wp_customize, 'videocatpg_btntxtClr', 'videocategory_area', 'Section Button Text & Icon Color ', '#fff');

addColorPalatOption($wp_customize, 'videocatpg_btntxthvClr', 'videocategory_area', 'Section Button Text & Icon Hover Color ', '#fff');

